> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bytez.com/llms.txt
> Use this file to discover all available pages before exploring further.

# zero-shot-classification

> Classify text into categories not seen during training for applications like intent detection, content moderation, and dynamic classification

> **Basic usage**
>
> Send a text prompt to generate a video output
>
> ```javascript javascript theme={null}
> import Bytez from 'bytez.js';
>
> // insert your key
> const sdk = new Bytez('BYTEZ_KEY');
>
> // choose your model
> const model = sdk.model('facebook/bart-large-mnli');
>
> // provide the model with input
> const input = {
>   "text": "One day I will see the world",
>   "candidate_labels": [
>     "travel",
>     "cooking",
>     "dancing"
>   ]
> };
>
> // send to the model
> const { error, output } = await model.run(input);
>
> // observe the output
> console.log({ error, output });
>
> ```
>
> ```python python theme={null}
> from bytez import Bytez
>
> # insert your key
> sdk = Bytez("BYTEZ_KEY")
>
> # choose your model
> model = sdk.model("facebook/bart-large-mnli")
>
> # provide the model with input
> input = {
>   "text": "One day I will see the world",
>   "candidate_labels": [
>     "travel",
>     "cooking",
>     "dancing"
>   ]
> }
>
> # send to the model
> result = model.run(input)
>
> # observe the output
> print({"error": result.error, "output": result.output})
>
> ```
>
> ```bash http theme={null}
> curl -X POST 'https://api.bytez.com/models/v2/facebook/bart-large-mnli' \
> -H 'Authorization: BYTEZ_KEY' \
> -H 'Content-Type: application/json' \
> --data '{
>   "text": "One day I will see the world",
>   "candidate_labels": [
>     "travel",
>     "cooking",
>     "dancing"
>   ]
> }'
> ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.